$(function() {
  function injectAsidebar(jQuery) {
    jQuery.fn.asidebar = function asidebar(status) {
      switch (status) {
        case "open":
          var that = this;
          // fade in backdrop
          if ($(".aside-backdrop").length === 0) {
            $("body").append("<div class='aside-backdrop'></div>");
          }
          $(".aside-backdrop").addClass("in");
          $(".star").removeClass("hide-content");

          function close() {
            $(that).asidebar.apply(that, ["close"]);
          }

          $(window).on('resize', function(){
            var win = $(this); //this = window
            if (win.width() >= 950) {
              if ($(".aside.in").length > 0) { // add this check so we only call func close once
                close(); // close mobile menu if screen is resized for desktop
              }
            }
          });

          // slide in asidebar
          $(this).addClass("in");
          $(this).find("[data-dismiss=aside], [data-dismiss=asidebar]").on('click', close);
          $(".aside-backdrop").on('click', close);
          break;
        case "close":
          // fade in backdrop
          if ($(".aside-backdrop.in").length > 0) {
            $(".aside-backdrop").removeClass("in");
          }

          // slide in asidebar
          $(this).removeClass("in");
          $(".star").addClass("hide-content");
          break;
        case "toggle":
          if($(this).attr("class").split(' ').indexOf('in') > -1) {
            $(this).asidebar("close");
          } else {
            $(this).asidebar("open");
          }
          break;
      }
    }
}

  // support browser and node
  if (typeof jQuery !== "undefined") {
    injectAsidebar(jQuery);
  } else if (typeof module !== "undefined" && module.exports) {
    module.exports = injectAsidebar;
  }

  var acc = document.getElementsByClassName("accordion");
    var i;

    for (i = 0; i < acc.length; i++) {
        acc[i].addEventListener("click", function () {
            /* Toggle between adding and removing the "active" class,
            to highlight the button that controls the panel */
            this.classList.toggle("active");

            /* Toggle between hiding and showing the active panel */
            var panel = this.nextElementSibling;
            panel.classList.toggle("menu-show");
        });
    }
});